---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id:
      - 3694c04d-97cb-5950-b895-82942177182f
      tier: AATSR_CMP_MONTH
      value: 0.10743137449026108
    brdf:
      alpha_1:
        band_1: 0.36910383350326714
        band_11: 0.2884210777547389
        band_12: 0.1918968585272395
        band_2: 0.36910383350326714
        band_3: 0.3775836939430504
        band_4: 0.36986943248478193
        band_5: 0.36986943248478193
        band_6: 0.36986943248478193
        band_7: 0.4694670875411315
        band_8: 0.4694670875411315
        band_8a: 0.4694670875411315
      alpha_2:
        band_1: 0.14220693806016524
        band_11: 0.13160369194699534
        band_12: 0.16131353308090532
        band_2: 0.14220693806016524
        band_3: 0.15216740933637604
        band_4: 0.15024607697280348
        band_5: 0.15024607697280348
        band_6: 0.15024607697280348
        band_7: 0.11791426287401267
        band_8: 0.11791426287401267
        band_8a: 0.11791426287401267
      id:
      - d271eb1a-a10d-588d-bb7b-dd09258d0c1a
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - 3a5b2597-effc-53e6-b65f-cec584ee6a3e
      tier: DEFINITIVE
      value: 0.259
    water_vapour:
      id:
      - 05ea5773-7c05-5ee0-9fec-84d682a02c50
      tier: DEFINITIVE
      value: 2.4200000762939453
  id: c002e82b-bf66-4920-a4c6-228965f98421
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 1968.3565936202665
      BAND-11: 239.62793657485074
      BAND-12: 81.95701220077963
      BAND-2: 2011.959495672689
      BAND-3: 1883.907898529606
      BAND-4: 1538.2114474602731
      BAND-5: 1419.9669210590057
      BAND-6: 1295.7239897754487
      BAND-7: 1186.162149339802
      BAND-8: 1050.548323343663
      BAND-8A: 958.017458838443
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2022-03-19 02:16:23.192075Z
    atime: 2022-09-01 14:26:41Z
    ctime: 2022-03-19 07:40:40Z
    mtime: 2022-03-19 07:40:34Z
    owner_id: '12232'
    platform_id: SENTINEL_2A
    sensor_id: MSI
    source_level1: /g/data/fj7/Copernicus/Sentinel-2/MSI/L1C/2022/2022-03/30S115E-35S120E/S2A_MSIL1C_20220319T020451_N0400_R017_T50JPL_20220319T052237.zip
  system_information:
    hostname: gadi-cpu-clx-0286.gadi.nci.org.au
    runtime_id: 18f49c40-2a02-11ed-8c20-0000007ffe80
    time_processed: 2022-09-01 14:26:41.521513Z
    uname: 'Linux gadi-cpu-clx-0286.gadi.nci.org.au 4.18.0-372.13.1.el8.nci.x86_64
      #1 SMP Mon Jul 4 08:46:44 AEST 2022 x86_64'
gqa:
  colors:
    blue: 81.0
    green: 2201.0
    red: 35.0
    teal: 509.0
    yellow: 55.0
  error_message: no errors
  final_qa_count: 2779
  granule: S2A_OPER_MSI_L1C_TL_VGS1_20220319T052237_A035192_T50JPL_N04.00
  ref_date: '2014-08-24T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata/GCP/GQA_v3/wrs2/110/081/LC81100812014236LGN00_B6.TIF
  residual:
    abs:
      x: 0.42
      xy: 0.53
      y: 0.32
    abs_iterative_mean:
      x: 0.3
      xy: 0.36
      y: 0.19
    cep90: 0.65
    iterative_mean:
      x: 0.27
      xy: 0.27
      y: 0.03
    iterative_stddev:
      x: 0.24
      xy: 0.39
      y: 0.31
    mean:
      x: 0.27
      xy: 0.29
      y: 0.1
    stddev:
      x: 1.04
      xy: 3.73
      y: 3.58
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 66.50310383840797
    cloud: 31.361607957505118
    cloud_shadow: 1.5860863102643987
    snow: 0.476458273197501
    water: 0.07274362062501452
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 48.10179461912867
    cloud: 51.89820538087133
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.8.4
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.2
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.1
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.27.3
...
